﻿$ErrorActionPreference = 'Stop'

$packageName = $env:ChocolateyPackageName
$url32       = 'https://github.com/ccache/ccache/releases/download/v4.6/ccache-4.6-windows-32.zip'
$url64       = 'https://github.com/ccache/ccache/releases/download/v4.6/ccache-4.6-windows-64.zip'
$checksum32  = 'aff5cca6d775b48d8fb46975e1529484049a05a15f7e6268feb2234c6c7cbf31'
$checksum64  = 'd7b4e8c89db51b044711590b3fbd238e57951fe91b30df197e4d7c00279ef78d'

$packageArgs = @{
  packageName    = $packageName
  fileType       = 'ZIP'
  url            = $url32
  url64Bit       = $url64
  checksum       = $checksum32
  checksum64     = $checksum64
  checksumType   = 'sha256'
  checksumType64 = 'sha256'
  unzipLocation  = Split-Path $MyInvocation.MyCommand.Definition
  validExitCodes = @(0)
}
Install-ChocolateyZipPackage @packageArgs
